Subject: bug#79455: closed (Re: bug#79455: "Value ‘1’does not match type boolean" should mention which variable)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 Sep 2025 12:14:02 +0000

Your bug report

#79455: "Value ‘1’ does not match type boolean" should mention which variable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79455: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79455
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79455: "Value ‘1’ does not match type boolean" should mention which variable
From: Eli Zaretskii <[email-masked]>
To: "R. Diez" <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Sep 2025 15:13:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 16 Sep 2025 08:30:22 +0200
> From:  "R. Diez" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Hi all:
> 
> I recently upgraded from Emacs 29 to 30, and I got the following warning in the *Warnings* buffer:
> 
> Warning (emacs): Value ‘1’ does not match type boolean
> 
> I am no Lisp expert, but I still have accumulated a biggish configuration over the years, so it took me a while to find the culprit:
> 
> (setopt inhibit-startup-screen 1)
> 
> I then changed '1' to 't', and the problem went away.
> 
> The trouble is, I lost quite a lot of time to this trivial matter. I am thinking that other people could encounter the same issue and lose time too.
> 
> Could you mention the variable name in the error message? Like this:
> 
> Warning (emacs): When setting variable ‘whatever-variable’: Value ‘1’ does not match type boolean

Thanks, this is bug#73084, which is already fixed on the master branch
(which will eventually become Emacs 31).  On the master branch, Emacs
says this instead:

  Warning (emacs): Value ‘1’ for variable ‘inhibit-startup-screen’ does not match its type "boolean"

So I'm closing this bug.

Subject: "Value ‘1’ does not match type boolean" should mention which variable
From: "R. Diez" <[email-masked]>
To: [email-masked]
Date: Tue, 16 Sep 2025 08:30:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all:

I recently upgraded from Emacs 29 to 30, and I got the following warning in the *Warnings* buffer:

Warning (emacs): Value ‘1’ does not match type boolean

I am no Lisp expert, but I still have accumulated a biggish configuration over the years, so it took me a while to find the culprit:

(setopt inhibit-startup-screen 1)

I then changed '1' to 't', and the problem went away.

The trouble is, I lost quite a lot of time to this trivial matter. I am thinking that other people could encounter the same issue and lose time too.

Could you mention the variable name in the error message? Like this:

Warning (emacs): When setting variable ‘whatever-variable’: Value ‘1’ does not match type boolean

In my software, I normally do a try/catch to add such a prefix, so no matter what error is raised, the culprit is always mentioned.

Regards,
   rdiez